[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.RoundRect

Draws a filled rectangle with rounded corners.

## Declaration

Source position: winapih.inc line 228

`public function TWidgetSet.RoundRect(`
`DC: HDC;`
`X1: Integer;`
`Y1: Integer;`
`X2: Integer;`
`Y2: Integer;`
`RX: Integer;`
`RY: Integer`
`):Boolean; virtual;`

## Arguments

`DC` |  | The device context.
`X1` |  | The rectangle coordinates.
`RX` |  | The extent of the ellipse, used for the rounded corners.
`RY` |  | The extent of the ellipse, used for the rounded corners.

## Function result

False on failure.

## Description

The rectangle is outlined with the current Pen, and filled with the current Brush.